Bug 249894 - Yum-updatesd memory leak (10GB)
Yum-updatesd memory leak (10GB)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-updatesd (Show other bugs)
6
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-27 14:18 EDT by Nicholas, Crawford
Modified: 2008-05-06 15:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:43:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/rc.d/init.d/yum (1.01 KB, text/plain)
2007-07-27 21:42 EDT, Nicholas, Crawford
no flags Details
/etc/cron.daily/yum.cron (181 bytes, text/plain)
2007-07-27 21:43 EDT, Nicholas, Crawford
no flags Details

  None (edit)
Description Nicholas, Crawford 2007-07-27 14:18:17 EDT
Description of problem:
With an uptime of 39 days one of our boxes had a yum-updatesd with a memory
utilization of 10GB.

Version-Release number of selected component (if applicable):
yum-updatesd-3.0.6-1.fc6

How reproducible:
Takes time, but all of our boxes do it with sufficient uptime.

Steps to Reproduce:
Let yum-updatesd run for any considerable amount of time.
  
Actual results:
[root@marvel ~]# free
             total       used       free     shared    buffers     cached
Mem:       4036552    4011120      25432          0     336132    1372336
-/+ buffers/cache:    2302652    1733900
Swap:      8388600    8388600          0
[root@marvel ~]# ps -aux | grep yum
Warning: bad syntax, perhaps a bogus '-'? See /usr/share/doc/procps-3.2.7/FAQ
root      3078  0.0 28.6 9224112 1155900 ?     S    Jun18  31:41 /usr/bin/python
/usr/sbin/yum-updatesd
root      5441  0.0  0.0  60248   720 pts/7    S+   13:22   0:00 grep yum
[root@marvel ~]# uptime
 14:11:41 up 39 days,  1:49, 12 users,  load average: 0.78, 0.83, 0.80

Expected results:
less than 100MB of RAM would be good.

Additional info:
This has also been noted in CentOS 5, haven't had a RHEL 5 box running long
enough to verify it is happening there as well.  Also happens on i386.
Comment 1 Razvan Corneliu C.R. VILT 2007-07-27 20:59:05 EDT
I also have it on RHEL5 x86_64. It killed my email server quite a few times, and
I really think that yum-updatesd using 1.5GBytes of RAM is nasty, especially
since my email server stops working when as amavisd dies. I think that the
priority needs to be changed to a higher value.
Comment 2 Nicholas, Crawford 2007-07-27 21:42:26 EDT
Created attachment 160150 [details]
/etc/rc.d/init.d/yum
Comment 3 Nicholas, Crawford 2007-07-27 21:43:02 EDT
Created attachment 160151 [details]
/etc/cron.daily/yum.cron
Comment 4 Nicholas, Crawford 2007-07-27 21:49:51 EDT
Our solution as implimented today was to grab the old cron based yum updater
from Fedora Core 3 and place it on our FC6, CentOS5 and RHEL 5 boxes.

I understand there is talk in the other Yum thread (212507) about adding
yum-cron to extras which is essentially these 2 files attached above.

(make sure they're executeable)
/etc/rc.d/init.d/yum
/etc/cron.daily/yum.cron

chkconfig yum-updatesd off
chkconfig --add yum

Further references:
https://lists.dulug.duke.edu/pipermail/yum-devel/2007-July/004022.html
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=212507
Comment 5 todd_lewis 2007-09-21 10:54:06 EDT
> I understand there is talk in the other Yum thread (212507) about adding
> yum-cron to extras which is essentially these 2 files attached above.

Interesting, as with the 4 boxes I'm currently running yum-updatesd-3.2.5-1.fc7
on, I've yet to get it to actually _do_ any updates. It just wakes up once per
second and consumes resources.

I'm reverting back to yum-cron and giving up on yum-updatesd.
Comment 6 Harm Verhagen 2007-10-09 16:41:04 EDT
this is pretty bad on fc7 too.  (both in cpu and memory!)

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 2661 root      39  19  410m 187m 5644 R   27 19.9   1:05.46 yum-updatesd
Comment 7 Bug Zapper 2008-04-04 03:29:12 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 15:43:16 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.